Subject: Re: [PATCH 0/3] Makefile: make "sparse" and "hdr-check" non-.PHONY

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Sep 2021 16:28:46 -0700

Ramsay Jones <[email-masked]> writes:

>>> At the heart of my unease is dependencies (or rather the lack) for
>>> the 'synthetic object files' *.hco and *.sp. (Also, the addition
>>> of even more 'shrapnel' to the build directories - I wrote a patch
>>> to remove the useless *.hcc files just after commit b503a2d515e was
>>> included, but didn't get around to submitting it).
>> 
>> I don't consider them shrapnel if they're holding useful results. :)
>
> Heh, yes I am a bit of a curmudgeon! :D

We do not necessarily have to have these files immediately next to
the corresponding source file.

For example, we could give .shrapnel/ hierarchy to *.hco and *.sp
files, so that for revision.c and compat/bswap.h, we'd create
.shrapnel/revision.sp and .shrapnel/compat/bswap.hco files that will
not be so cluttering ;-)